commit c2b64420d73716c5eea3a49e204627a99ab8f94c
Author: Tom Mullins <tmullins@andrew.cmu.edu>
Date:   Wed Nov 7 21:37:06 2012 -0500

    Finally automated generation of ros_lib for rosserial!

diff --git a/scout_avr/Makefile b/scout_avr/Makefile
index 6337e4e..8f62347 100644
--- a/scout_avr/Makefile
+++ b/scout_avr/Makefile
@@ -16,7 +16,11 @@ SRC=src/*.cpp src/ros_lib/*.cpp
 HDR=src/*.h
 FLAGS=-Isrc/ros_lib -Isrc -mmcu=$(MCU) -DF_CPU=$(F_CPU)UL -funsigned-char -Os -fpack-struct -Wall
 
-all: scout_avr.hex
+ROS_MSG_DEPS=rosserial_msgs std_msgs bom sonar
+
+default: scout_avr.hex
+
+all: ros_lib scout_avr.hex
 
 %.hex: %.elf
 	avr-objcopy -j .text -j .data -O ihex $< $@
@@ -27,5 +31,14 @@ scout_avr.elf: $(SRC) $(HDR)
 program: scout_avr.hex
 	avrdude -p $(PART) -c $(PROG) -P usb -B 1 -U flash:w:scout_avr.hex
 
+ros_lib: ros_lib_nomsgs msgs
+
+ros_lib_nomsgs:
+	rm -rf src/ros_lib
+	cp -r `rospack find rosserial_client`/src/ros_lib src
+
+msgs:
+	rosrun rosserial_client make_library.py src $(ROS_MSG_DEPS)
+
 clean:
-	rm -f scout_avr.elf scout_avr.hex
+	rm -rf scout_avr.elf scout_avr.hex src/ros_lib
